## r-cran-dt 0.4%2Bdfsg

=== DESCRIPTION ===
Package: DT
Type: Package
Title: A Wrapper of the JavaScript Library 'DataTables'
Version: 0.4
Authors@R: c(
    person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
    person("Joe", "Cheng", role = "ctb"),
    person("JJ", "Allaire", role = "ctb"),
    person("Xianying", "Tan", role = "ctb"),
    person("Maximilian", "Girlich", role = "ctb"),
    person("jQuery contributors", role = c("ctb", "cph"), comment = "jQuery in htmlwidgets/lib"),
    person("SpryMedia Limited", role = c("ctb", "cph"), comment = "DataTables in htmlwidgets/lib"),
    person("Brian", "Reavis", role = c("ctb", "cph"), comment = "selectize.js in htmlwidgets/lib"),
    person("Leon", "Gersen", role = c("ctb", "cph"), comment = "noUiSlider in htmlwidgets/lib"),
    person("Bartek", "Szopka", role = c("ctb", "cph"), comment = "jquery.highlight.js in htmlwidgets/lib"),
    person("RStudio Inc", role = "cph")
    )
Maintainer: Yihui Xie <xie@yihui.name>
Description: Data objects in R can be rendered as HTML tables using the
    JavaScript library 'DataTables' (typically via R Markdown or Shiny). The
    'DataTables' library has been included in this R package. The package name
    'DT' is an abbreviation of 'DataTables'.
URL: https://rstudio.github.io/DT
BugReports: https://github.com/rstudio/DT/issues
License: GPL-3 | file LICENSE
Imports: htmltools (>= 0.3.6), htmlwidgets (>= 1.0), magrittr,
        crosstalk
Suggests: jsonlite (>= 0.9.16), knitr (>= 1.8), rmarkdown, shiny (>=
        0.12.1)
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-01-30 21:06:51 UTC; yihui
Author: Yihui Xie [aut, cre],
  Joe Cheng [ctb],
  JJ Allaire [ctb],
  Xianying Tan [ctb],
  Maximilian Girlich [ctb],
  jQuery contributors [ctb, cph] (jQuery in htmlwidgets/lib),
  SpryMedia Limited [ctb, cph] (DataTables in htmlwidgets/lib),
  Brian Reavis [ctb, cph] (selectize.js in htmlwidgets/lib),
  Leon Gersen [ctb, cph] (noUiSlider in htmlwidgets/lib),
  Bartek Szopka [ctb, cph] (jquery.highlight.js in htmlwidgets/lib),
  RStudio Inc [cph]
Repository: CRAN
Date/Publication: 2018-01-30 22:54:05 UTC

## r-cran-dt 0.4+dfsg

=== inst/examples/DT-edit/DESCRIPTION ===
Title: Edit Tables
Author: Yihui Xie
AuthorUrl: https://yihui.name
License: MIT
DisplayMode: Showcase
Type: Shiny

=== inst/examples/DT-selection/DESCRIPTION ===
Title: Row/Column/Cell Selections
Author: Yihui Xie
AuthorUrl: http://www.rstudio.com
License: MIT
DisplayMode: Showcase
Type: Shiny

=== debian/changelog ===
r-cran-dt (0.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Build-Depends: r-cran-crosstalk
  * Versioned Build-Depends: r-cran-htmlwidgets (>= 1.0)

 -- Andreas Tille <tille@debian.org>  Wed, 21 Feb 2018 18:50:03 +0100

r-cran-dt (0.2+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #886256)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2018 16:16:19 +0100

=== debian/control ===
Source: r-cran-dt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-htmltools,
               r-cran-htmlwidgets (>= 1.0),
               r-cran-magrittr,
               r-cran-crosstalk
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-dt.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-dt.git
Homepage: https://cran.r-project.org/package=DT

Package: r-cran-dt
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery,
         libjs-jquery-datatables,
         libjs-jquery-datatables-extensions,
         libjs-jquery-selectize.js
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R wrapper of the JavaScript library 'DataTables'
 Data objects in R can be rendered as HTML tables using the
 JavaScript library 'DataTables' (typically via R Markdown or Shiny). The
 'DataTables' library has been included in this R package. The package name
 'DT' is an abbreviation of 'DataTables'.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

debRreposname   := $(shell echo $(DEB_SOURCE) | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/nouislider
	cp -a debian/JS/jquery.nouislider/nouislider.min.*					debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/nouislider
	cp -a debian/JS/datatables-plugins_searchHighlight/dataTables.searchHighlight.min.js	debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-plugins/searchHighlight

## r-cran-dt 0.4+dfsg1

=== debian/changelog ===
r-cran-dt (0.4+dfsg1-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 17:38:52 +0200

r-cran-dt (0.4+dfsg-2) unstable; urgency=medium

  * use variables defined in /usr/share/dh/r-cran.mk
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 27 May 2018 16:17:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: r-cran-dt
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               dh-r,
+               dh-r (>= 20180527),
                r-base-dev,
-               r-cran-htmltools,
+               r-cran-htmltools (>= 0.3.6),
                r-cran-htmlwidgets (>= 1.0),
                r-cran-magrittr,
                r-cran-crosstalk
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-dt.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-dt.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dt
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dt.git
 Homepage: https://cran.r-project.org/package=DT
 
 Package: r-cran-dt
 Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends},
          libjs-jquery,
          libjs-jquery-datatables,

## r-cran-dt 0.5%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
                dh-r (>= 20180527),
                r-base-dev,
                r-cran-htmltools (>= 0.3.6),
-               r-cran-htmlwidgets (>= 1.0),
+               r-cran-htmlwidgets (>= 1.3),
                r-cran-magrittr,
-               r-cran-crosstalk
-Standards-Version: 4.1.4
+               r-cran-crosstalk,
+               r-cran-promises
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dt.git
 Homepage: https://cran.r-project.org/package=DT

## r-cran-dt 0.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Package: DT
 Type: Package
 Title: A Wrapper of the JavaScript Library 'DataTables'
-Version: 0.4
+Version: 0.5
 Authors@R: c(
     person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
-    person("Joe", "Cheng", role = "ctb"),
+    person("Joe", "Cheng", role = "aut"),
+    person("Xianying", "Tan", role = "aut"),
     person("JJ", "Allaire", role = "ctb"),
-    person("Xianying", "Tan", role = "ctb"),
     person("Maximilian", "Girlich", role = "ctb"),
+    person("Greg", "Freedman Ellis", role = "ctb"),
+    person("Johannes", "Rauh", role = "ctb"),
     person("jQuery contributors", role = c("ctb", "cph"), comment = "jQuery in htmlwidgets/lib"),
     person("SpryMedia Limited", role = c("ctb", "cph"), comment = "DataTables in htmlwidgets/lib"),
     person("Brian", "Reavis", role = c("ctb", "cph"), comment = "selectize.js in htmlwidgets/lib"),
@@ -23,19 +25,22 @@
 URL: https://rstudio.github.io/DT
 BugReports: https://github.com/rstudio/DT/issues
 License: GPL-3 | file LICENSE
-Imports: htmltools (>= 0.3.6), htmlwidgets (>= 1.0), magrittr,
-        crosstalk
+Imports: htmltools (>= 0.3.6), htmlwidgets (>= 1.3), magrittr,
+        crosstalk, promises
 Suggests: jsonlite (>= 0.9.16), knitr (>= 1.8), rmarkdown, shiny (>=
         0.12.1)
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-01-30 21:06:51 UTC; yihui
+Packaged: 2018-11-05 20:21:03 UTC; yihui
 Author: Yihui Xie [aut, cre],
-  Joe Cheng [ctb],
+  Joe Cheng [aut],
+  Xianying Tan [aut],
   JJ Allaire [ctb],
-  Xianying Tan [ctb],
   Maximilian Girlich [ctb],
+  Greg Freedman Ellis [ctb],
+  Johannes Rauh [ctb],
   jQuery contributors [ctb, cph] (jQuery in htmlwidgets/lib),
   SpryMedia Limited [ctb, cph] (DataTables in htmlwidgets/lib),
   Brian Reavis [ctb, cph] (selectize.js in htmlwidgets/lib),
@@ -43,4 +48,4 @@
   Bartek Szopka [ctb, cph] (jquery.highlight.js in htmlwidgets/lib),
   RStudio Inc [cph]
 Repository: CRAN
-Date/Publication: 2018-01-30 22:54:05 UTC
+Date/Publication: 2018-11-05 21:00:20 UTC

=== inst/examples/DT-scroller/DESCRIPTION ===
Title: Using the Scroller Extension in DataTables
Author: Yihui Xie
AuthorUrl: http://www.rstudio.com
License: MIT
DisplayMode: Showcase
Type: Shiny

=== debian/changelog ===
r-cran-dt (0.5+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 03 May 2019 07:06:53 +0200

r-cran-dt (0.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 05 Dec 2018 11:03:58 +0100

r-cran-dt (0.2+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jan 2018 15:30:28 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,6 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/default.mk
-
-debRreposname   := $(shell echo $(DEB_SOURCE) | sed 's/r-\([a-z]\+\)-.*/\1/')
-awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
-cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
-cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
-package         := r-$(debRreposname)-$(cranName)
-debRdir         := usr/lib/R/site-library
+include /usr/share/dh-r/r-cran.mk
 
 %:
 	dh $@ --buildsystem R

## r-cran-dt 0.7+dfsg

=== debian/changelog ===
r-cran-dt (0.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 13:14:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r (>= 20180527),
                r-base-dev,
                r-cran-htmltools (>= 0.3.6),
@@ -11,7 +11,7 @@
                r-cran-magrittr,
                r-cran-crosstalk,
                r-cran-promises
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dt.git
 Homepage: https://cran.r-project.org/package=DT

## r-cran-dt 0.12+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DT
 Type: Package
 Title: A Wrapper of the JavaScript Library 'DataTables'
-Version: 0.5
+Version: 0.12
 Authors@R: c(
     person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
     person("Joe", "Cheng", role = "aut"),
@@ -22,18 +22,17 @@
     JavaScript library 'DataTables' (typically via R Markdown or Shiny). The
     'DataTables' library has been included in this R package. The package name
     'DT' is an abbreviation of 'DataTables'.
-URL: https://rstudio.github.io/DT
+URL: https://github.com/rstudio/DT
 BugReports: https://github.com/rstudio/DT/issues
 License: GPL-3 | file LICENSE
-Imports: htmltools (>= 0.3.6), htmlwidgets (>= 1.3), magrittr,
-        crosstalk, promises
-Suggests: jsonlite (>= 0.9.16), knitr (>= 1.8), rmarkdown, shiny (>=
-        0.12.1)
+Imports: htmltools (>= 0.3.6), htmlwidgets (>= 1.3), jsonlite (>=
+        0.9.16), magrittr, crosstalk, promises
+Suggests: knitr (>= 1.8), rmarkdown, shiny (>= 1.2.0)
 VignetteBuilder: knitr
-RoxygenNote: 6.1.0
+RoxygenNote: 7.0.2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-11-05 20:21:03 UTC; yihui
+Packaged: 2020-02-04 15:23:52 UTC; yihui
 Author: Yihui Xie [aut, cre],
   Joe Cheng [aut],
   Xianying Tan [aut],
@@ -48,4 +47,4 @@
   Bartek Szopka [ctb, cph] (jquery.highlight.js in htmlwidgets/lib),
   RStudio Inc [cph]
 Repository: CRAN
-Date/Publication: 2018-11-05 21:00:20 UTC
+Date/Publication: 2020-02-05 14:30:03 UTC

=== debian/changelog ===
r-cran-dt (0.12+dfsg-1) unstable; urgency=medium

  * Use maintainer scripts to enable change from dirs to links
  * Fix several links that were broken
    Closes: #950108
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 07 Feb 2020 18:06:50 +0100

r-cran-dt (0.11+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Restrict Files-Excluded to those files that are provided by other
    packages
  * Fix links to some JS files
    Closes: #942476
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Exclude source.min.js (which is hopefully not necessary for every day
    use

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jan 2020 13:02:37 +0100

r-cran-dt (0.10+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 09:29:12 +0100

r-cran-dt (0.9+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 23 Sep 2019 13:24:46 +0200

r-cran-dt (0.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * dh-update-R to update Build-Depends
  * Set upstream metadata fields: Archive, Bug-Database.
  * Test-Depends: r-cran-rmarkdown

 -- Andreas Tille <tille@debian.org>  Sat, 24 Aug 2019 16:10:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,19 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r (>= 20180527),
                r-base-dev,
                r-cran-htmltools (>= 0.3.6),
                r-cran-htmlwidgets (>= 1.3),
+               r-cran-jsonlite,
                r-cran-magrittr,
                r-cran-crosstalk,
-               r-cran-promises
-Standards-Version: 4.4.0
+               r-cran-promises,
+# <dh-update-R>do not delete this</dh-update-R>
+               libjs-jquery-datatables,
+               libjs-jquery-datatables-extensions
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dt.git
 Homepage: https://cran.r-project.org/package=DT

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,22 @@
 	mkdir -p debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/nouislider
 	cp -a debian/JS/jquery.nouislider/nouislider.min.*					debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/nouislider
 	cp -a debian/JS/datatables-plugins_searchHighlight/dataTables.searchHighlight.min.js	debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-plugins/searchHighlight
+	find debian -name license.txt -delete
+
+override_dh_link:
+	dh_link
+	for css in /usr/share/javascript/jquery-datatables/css/* ; do \
+	    dh_link $${css} $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables/css/`basename $${css}` ; \
+	done
+	# Fix links that are broken in upstream source
+	dh_link /usr/share/javascript/jquery-datatables-extensions/JSZip/jszip.min.js		$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-extensions/Buttons/js/jszip.min.js
+	dh_link /usr/share/javascript/jquery-datatables-extensions/pdfmake/build/pdfmake.min.js	$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-extensions/Buttons/js/pdfmake.min.js
+	dh_link /usr/share/javascript/jquery-datatables-extensions/Buttons/css			$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-extensions/Buttons/css
+	for dte in `ls /usr/share/javascript/jquery-datatables-extensions` ; do \
+	    dtedir=`basename $${dte}` ; \
+	    if [ "$${dtedir}" = "Buttons" ] ; then continue ; fi ; \
+	    dh_link /usr/share/javascript/jquery-datatables-extensions/$${dte} $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-extensions/$${dtedir} ; \
+	done
+	for dtebuttons in `ls /usr/share/javascript/jquery-datatables-extensions/Buttons/js` ; do \
+	    dh_link $${dtebuttons} $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-extensions/Buttons/js/$${dtebuttons} ; \
+	done

## r-cran-dt 0.15+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DT
 Type: Package
 Title: A Wrapper of the JavaScript Library 'DataTables'
-Version: 0.12
+Version: 0.15
 Authors@R: c(
     person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
     person("Joe", "Cheng", role = "aut"),
@@ -15,7 +15,7 @@
     person("Brian", "Reavis", role = c("ctb", "cph"), comment = "selectize.js in htmlwidgets/lib"),
     person("Leon", "Gersen", role = c("ctb", "cph"), comment = "noUiSlider in htmlwidgets/lib"),
     person("Bartek", "Szopka", role = c("ctb", "cph"), comment = "jquery.highlight.js in htmlwidgets/lib"),
-    person("RStudio Inc", role = "cph")
+    person("RStudio, PBC", role = "cph")
     )
 Maintainer: Yihui Xie <xie@yihui.name>
 Description: Data objects in R can be rendered as HTML tables using the
@@ -27,12 +27,12 @@
 License: GPL-3 | file LICENSE
 Imports: htmltools (>= 0.3.6), htmlwidgets (>= 1.3), jsonlite (>=
         0.9.16), magrittr, crosstalk, promises
-Suggests: knitr (>= 1.8), rmarkdown, shiny (>= 1.2.0)
+Suggests: knitr (>= 1.8), rmarkdown, shiny (>= 1.2.0), testit
 VignetteBuilder: knitr
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-02-04 15:23:52 UTC; yihui
+Packaged: 2020-08-05 02:57:58 UTC; yihui
 Author: Yihui Xie [aut, cre],
   Joe Cheng [aut],
   Xianying Tan [aut],
@@ -45,6 +45,6 @@
   Brian Reavis [ctb, cph] (selectize.js in htmlwidgets/lib),
   Leon Gersen [ctb, cph] (noUiSlider in htmlwidgets/lib),
   Bartek Szopka [ctb, cph] (jquery.highlight.js in htmlwidgets/lib),
-  RStudio Inc [cph]
+  RStudio, PBC [cph]
 Repository: CRAN
-Date/Publication: 2020-02-05 14:30:03 UTC
+Date/Publication: 2020-08-05 15:42:07 UTC

=== debian/changelog ===
r-cran-dt (0.15+dfsg-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 16 Sep 2020 11:01:26 +0200

r-cran-dt (0.15+dfsg-2) unstable; urgency=medium

  * Team upload.

  * Versioned dependency to libjs-jquery-dataquery since symbolic
    link was otherwise showing into the void.
  * Added symbolic links to prepare "js" subdirectory as requested
    by pandoc when building pigx-refseq.

 -- Steffen Moeller <moeller@debian.org>  Sun, 23 Aug 2020 17:16:09 +0200

r-cran-dt (0.15+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Wed, 12 Aug 2020 14:48:25 +0200

r-cran-dt (0.14+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 29 Jul 2020 11:11:50 +0200

r-cran-dt (0.13+dfsg-3) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 10:08:06 +0200

r-cran-dt (0.13+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fixed paths to jquery css files (broke nascent pigx-rnaseq package tests)

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 May 2020 00:55:56 +0200

r-cran-dt (0.13+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 26 Mar 2020 09:48:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r (>= 20180527),
                r-base-dev,
                r-cran-htmltools (>= 0.3.6),
@@ -19,13 +20,14 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dt.git
 Homepage: https://cran.r-project.org/package=DT
+Rules-Requires-Root: no
 
 Package: r-cran-dt
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
          libjs-jquery,
-         libjs-jquery-datatables,
+         libjs-jquery-datatables (>= 1.10.21),
          libjs-jquery-datatables-extensions,
          libjs-jquery-selectize.js
 Recommends: ${R:Recommends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/nouislider
	cp -a debian/JS/jquery.nouislider/nouislider.min.*					debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/nouislider
	cp -a debian/JS/datatables-plugins_searchHighlight/dataTables.searchHighlight.min.js	debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-plugins/searchHighlight
	find debian -name license.txt -delete

override_dh_link:
	mkdir -p debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/DT/htmlwidgets/lib/datatables-extensions/
	dh_link
	
	# Add symlinks to all css files into css subdirectory
	for css in /usr/share/javascript/jquery-datatables/css/* ; do \
	   dh_link $${css} $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables/css/`basename $${css}` ; \
	done
	
	# let all be symlinks
	for dte in $$(find /usr/share/javascript/jquery-datatables-extensions -mindepth 1 -maxdepth 1 -type d|grep -v Buttons); do \
	    dtedir=$$( basename $${dte} ) ; \
	    dh_link $$dte $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-extensions/$${dtedir} ; \
	done
	mkdir -p debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-extensions/Buttons/js

	# Fix links that are broken in upstream source
	for dtebuttons in `ls /usr/share/javascript/jquery-datatables-extensions/Buttons/js` ; do \
	    dh_link usr/share/javascript/jquery-datatables-extensions/Buttons/js/$${dtebuttons} $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-extensions/Buttons/js/$${dtebuttons} ; \
	done

## r-cran-dt 0.17+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DT
 Type: Package
 Title: A Wrapper of the JavaScript Library 'DataTables'
-Version: 0.15
+Version: 0.17
 Authors@R: c(
     person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
     person("Joe", "Cheng", role = "aut"),
@@ -32,7 +32,7 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2020-08-05 02:57:58 UTC; yihui
+Packaged: 2021-01-05 05:27:09 UTC; yihui
 Author: Yihui Xie [aut, cre],
   Joe Cheng [aut],
   Xianying Tan [aut],
@@ -47,4 +47,4 @@
   Bartek Szopka [ctb, cph] (jquery.highlight.js in htmlwidgets/lib),
   RStudio, PBC [cph]
 Repository: CRAN
-Date/Publication: 2020-08-05 15:42:07 UTC
+Date/Publication: 2021-01-06 16:01:25 UTC

=== inst/examples/DT-click/DESCRIPTION ===
Title: Interaction with Table Cells
Author: Yihui Xie
AuthorUrl: http://www.rstudio.com
License: MIT
DisplayMode: Showcase
Type: Shiny

=== inst/examples/DT-info/DESCRIPTION ===
Title: DataTables Information
Author: Yihui Xie
AuthorUrl: http://www.rstudio.com
License: MIT
DisplayMode: Showcase
Type: Shiny

=== inst/examples/DT-proxy/DESCRIPTION ===
Title: Manipulate a DataTables Instance
Author: Yihui Xie
AuthorUrl: http://www.rstudio.com
License: MIT
DisplayMode: Showcase
Type: Shiny

=== debian/changelog ===
r-cran-dt (0.17+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Fix unhandled symlink to directory conversion
  * Allow failure in salsa-ci reprotest

  [ Nilesh Patra ]
  * Defer linking to d/links

  [ Étienne Mollier ]
  * adjust d/maintscript to fix upgrade from Buster
    Closes: #985281

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 28 Mar 2021 11:38:02 +0200

r-cran-dt (0.17+dfsg-2) unstable; urgency=medium

  * No test via vignette needed any more since there is a real test suite
    provided upstream

 -- Andreas Tille <tille@debian.org>  Fri, 12 Feb 2021 08:11:25 +0100

r-cran-dt (0.17+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2021 12:13:40 +0100

r-cran-dt (0.16+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 15:00:20 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # <dh-update-R>do not delete this</dh-update-R>
                libjs-jquery-datatables,
                libjs-jquery-datatables-extensions
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dt.git
 Homepage: https://cran.r-project.org/package=DT

## r-cran-dt 0.24+dfsg

=== debian/changelog ===
r-cran-dt (0.24+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Aug 2022 08:06:29 +0200

r-cran-dt (0.23+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.23+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 12:26:35 +0530

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-r (>= 20180527),
+               dh-r,
                r-base-dev,
-               r-cran-htmltools (>= 0.3.6),
-               r-cran-htmlwidgets (>= 1.3),
+               r-cran-htmltools,
+               r-cran-htmlwidgets,
                r-cran-jsonlite,
                r-cran-magrittr,
                r-cran-crosstalk,
+               r-cran-jquerylib,
                r-cran-promises,
-# <dh-update-R>do not delete this</dh-update-R>
                libjs-jquery-datatables,
                libjs-jquery-datatables-extensions
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dt.git
 Homepage: https://cran.r-project.org/package=DT

## r-cran-dt 0.26+dfsg

=== debian/changelog ===
r-cran-dt (0.26+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 24 Oct 2022 13:46:23 +0200

r-cran-dt (0.25+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 18 Sep 2022 19:15:45 +0200

## r-cran-dt 0.27+dfsg

=== DESCRIPTION ===
Package: DT
Type: Package
Title: A Wrapper of the JavaScript Library 'DataTables'
Version: 0.27
Authors@R: c(
    person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
    person("Joe", "Cheng", role = "aut"),
    person("Xianying", "Tan", role = "aut"),
    person("JJ", "Allaire", role = "ctb"),
    person("Maximilian", "Girlich", role = "ctb"),
    person("Greg", "Freedman Ellis", role = "ctb"),
    person("Johannes", "Rauh", role = "ctb"),
    person("SpryMedia Limited", role = c("ctb", "cph"), comment = "DataTables in htmlwidgets/lib"),
    person("Brian", "Reavis", role = c("ctb", "cph"), comment = "selectize.js in htmlwidgets/lib"),
    person("Leon", "Gersen", role = c("ctb", "cph"), comment = "noUiSlider in htmlwidgets/lib"),
    person("Bartek", "Szopka", role = c("ctb", "cph"), comment = "jquery.highlight.js in htmlwidgets/lib"),
    person("Alex", "Pickering", role = c("ctb")),
    person("William", "Holmes", role = c("ctb")),
    person("Mikko", "Marttila", role = c("ctb")),
    person("Andres", "Quintero", role = c("ctb")),
    person("Stéphane", "Laurent", role = c("ctb")),
    person("RStudio, PBC", role = "cph")
    )
Maintainer: Yihui Xie <xie@yihui.name>
Description: Data objects in R can be rendered as HTML tables using the
    JavaScript library 'DataTables' (typically via R Markdown or Shiny). The
    'DataTables' library has been included in this R package. The package name
    'DT' is an abbreviation of 'DataTables'.
URL: https://github.com/rstudio/DT
BugReports: https://github.com/rstudio/DT/issues
License: GPL-3 | file LICENSE
Imports: htmltools (>= 0.3.6), htmlwidgets (>= 1.3), jsonlite (>=
        0.9.16), magrittr, crosstalk, jquerylib, promises
Suggests: knitr (>= 1.8), rmarkdown, shiny (>= 1.6), bslib, future,
        testit, tibble
VignetteBuilder: knitr
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-01-17 19:02:58 UTC; yihui
Author: Yihui Xie [aut, cre],
  Joe Cheng [aut],
  Xianying Tan [aut],
  JJ Allaire [ctb],
  Maximilian Girlich [ctb],
  Greg Freedman Ellis [ctb],
  Johannes Rauh [ctb],
  SpryMedia Limited [ctb, cph] (DataTables in htmlwidgets/lib),
  Brian Reavis [ctb, cph] (selectize.js in htmlwidgets/lib),
  Leon Gersen [ctb, cph] (noUiSlider in htmlwidgets/lib),
  Bartek Szopka [ctb, cph] (jquery.highlight.js in htmlwidgets/lib),
  Alex Pickering [ctb],
  William Holmes [ctb],
  Mikko Marttila [ctb],
  Andres Quintero [ctb],
  Stéphane Laurent [ctb],
  RStudio, PBC [cph]
Repository: CRAN
Date/Publication: 2023-01-17 21:10:02 UTC

=== debian/changelog ===
r-cran-dt (0.27+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 15:06:07 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                r-cran-promises,
                libjs-jquery-datatables,
                libjs-jquery-datatables-extensions
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dt.git
 Homepage: https://cran.r-project.org/package=DT

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/nouislider
	cp -a debian/JS/jquery.nouislider/nouislider.min.*					debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/nouislider
	cp -a debian/JS/datatables-plugins_searchHighlight/dataTables.searchHighlight.min.js	debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-plugins/searchHighlight
	find debian -name license.txt -delete

override_dh_link:
	mkdir -p debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/DT/htmlwidgets/lib/datatables-extensions/
	mkdir -p debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/htmlwidgets/lib/datatables-extensions/Buttons/js
	dh_link

## r-cran-dt 0.28+dfsg

=== debian/changelog ===
r-cran-dt (0.28+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Remove 2 maintscript entries from 1 files.

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2023 14:07:20 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Depends: ${R:Depends},
          ${misc:Depends},
          libjs-jquery,
-         libjs-jquery-datatables (>= 1.10.21),
+         libjs-jquery-datatables,
          libjs-jquery-datatables-extensions,
          libjs-jquery-selectize.js
 Recommends: ${R:Recommends}

## r-cran-dt 0.31%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DT
 Type: Package
 Title: A Wrapper of the JavaScript Library 'DataTables'
-Version: 0.27
+Version: 0.31
 Authors@R: c(
     person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
     person("Joe", "Cheng", role = "aut"),
@@ -19,7 +19,7 @@
     person("Mikko", "Marttila", role = c("ctb")),
     person("Andres", "Quintero", role = c("ctb")),
     person("Stéphane", "Laurent", role = c("ctb")),
-    person("RStudio, PBC", role = "cph")
+    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
     )
 Maintainer: Yihui Xie <xie@yihui.name>
 Description: Data objects in R can be rendered as HTML tables using the
@@ -29,15 +29,15 @@
 URL: https://github.com/rstudio/DT
 BugReports: https://github.com/rstudio/DT/issues
 License: GPL-3 | file LICENSE
-Imports: htmltools (>= 0.3.6), htmlwidgets (>= 1.3), jsonlite (>=
-        0.9.16), magrittr, crosstalk, jquerylib, promises
+Imports: htmltools (>= 0.3.6), htmlwidgets (>= 1.3), httpuv, jsonlite
+        (>= 0.9.16), magrittr, crosstalk, jquerylib, promises
 Suggests: knitr (>= 1.8), rmarkdown, shiny (>= 1.6), bslib, future,
         testit, tibble
 VignetteBuilder: knitr
 RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2023-01-17 19:02:58 UTC; yihui
+Packaged: 2023-12-08 23:16:42 UTC; yihui
 Author: Yihui Xie [aut, cre],
   Joe Cheng [aut],
   Xianying Tan [aut],
@@ -54,6 +54,6 @@
   Mikko Marttila [ctb],
   Andres Quintero [ctb],
   Stéphane Laurent [ctb],
-  RStudio, PBC [cph]
+  Posit Software, PBC [cph, fnd]
 Repository: CRAN
-Date/Publication: 2023-01-17 21:10:02 UTC
+Date/Publication: 2023-12-09 06:30:02 UTC

=== inst/examples/DT-info/DESCRIPTION ===
Title: DataTables Information
Author: Yihui Xie
AuthorUrl: http://www.posit.co
License: MIT
DisplayMode: Showcase
Type: Shiny

## r-cran-dt 0.31+dfsg

=== debian/changelog ===
r-cran-dt (0.31+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:49:33 +0100

r-cran-dt (0.30+dfsg-2) unstable; urgency=medium

  * Recommend www-browser
    Closes: #998030

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 11:37:38 +0200

r-cran-dt (0.30+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2023 17:51:27 +0200

r-cran-dt (0.29+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2023 10:10:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                r-base-dev,
                r-cran-htmltools,
                r-cran-htmlwidgets,
+               r-cran-httpuv,
                r-cran-jsonlite,
                r-cran-magrittr,
                r-cran-crosstalk,
@@ -30,7 +31,8 @@
          libjs-jquery-datatables,
          libjs-jquery-datatables-extensions,
          libjs-jquery-selectize.js
-Recommends: ${R:Recommends}
+Recommends: ${R:Recommends},
+            w3m | www-browser
 Suggests: ${R:Suggests}
 Description: GNU R wrapper of the JavaScript library 'DataTables'
  Data objects in R can be rendered as HTML tables using the

## r-cran-dt 0.33%2Bdfsg

=== inst/examples/DT-deleteRows/DESCRIPTION ===
Title: Delete Selected Rows
Author: Stéphane Laurent
License: MIT
DisplayMode: Showcase
Type: Shiny

## r-cran-dt 0.33+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: DT
 Type: Package
 Title: A Wrapper of the JavaScript Library 'DataTables'
-Version: 0.31
+Version: 0.33
 Authors@R: c(
-    person("Yihui", "Xie", email = "xie@yihui.name", role = c("aut", "cre")),
-    person("Joe", "Cheng", role = "aut"),
+    person("Yihui", "Xie", role = "aut"),
+    person("Joe", "Cheng", email = "joe@posit.co", role = c("aut", "cre")),
     person("Xianying", "Tan", role = "aut"),
     person("JJ", "Allaire", role = "ctb"),
     person("Maximilian", "Girlich", role = "ctb"),
@@ -21,7 +21,6 @@
     person("Stéphane", "Laurent", role = c("ctb")),
     person(given = "Posit Software, PBC", role = c("cph", "fnd"))
     )
-Maintainer: Yihui Xie <xie@yihui.name>
 Description: Data objects in R can be rendered as HTML tables using the
     JavaScript library 'DataTables' (typically via R Markdown or Shiny). The
     'DataTables' library has been included in this R package. The package name
@@ -34,12 +33,12 @@
 Suggests: knitr (>= 1.8), rmarkdown, shiny (>= 1.6), bslib, future,
         testit, tibble
 VignetteBuilder: knitr
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2023-12-08 23:16:42 UTC; yihui
-Author: Yihui Xie [aut, cre],
-  Joe Cheng [aut],
+Packaged: 2024-04-03 14:36:50 UTC; yihui
+Author: Yihui Xie [aut],
+  Joe Cheng [aut, cre],
   Xianying Tan [aut],
   JJ Allaire [ctb],
   Maximilian Girlich [ctb],
@@ -55,5 +54,6 @@
   Andres Quintero [ctb],
   Stéphane Laurent [ctb],
   Posit Software, PBC [cph, fnd]
+Maintainer: Joe Cheng <joe@posit.co>
 Repository: CRAN
-Date/Publication: 2023-12-09 06:30:02 UTC
+Date/Publication: 2024-04-04 05:03:17 UTC

=== inst/examples/DT-click/DESCRIPTION ===
Title: Interaction with Table Cells
Author: Yihui Xie
AuthorUrl: http://www.posit.co
License: MIT
DisplayMode: Showcase
Type: Shiny

=== inst/examples/DT-edit/DESCRIPTION ===
Title: Edit Tables
Author: Yihui Xie
AuthorUrl: https://yihui.org
License: MIT
DisplayMode: Showcase
Type: Shiny

=== inst/examples/DT-rows/DESCRIPTION ===
Title: Row Selection
Author: Yihui Xie
AuthorUrl: http://www.posit.co
License: MIT
DisplayMode: Showcase
Type: Shiny

=== debian/changelog ===
r-cran-dt (0.33+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 28 Jun 2024 07:47:15 +0900

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-cran-promises,
                libjs-jquery-datatables,
                libjs-jquery-datatables-extensions
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dt.git
 Homepage: https://cran.r-project.org/package=DT

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr (>= 1.8),
        r-cran-rmarkdown,
        r-cran-shiny (>= 1.6),
        r-cran-bslib,
        r-cran-future,
        r-cran-testit,
        r-cran-tibble
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/DT_([-\d.]*)\.tar\.gz

## r-cran-dt 0.34.0%2bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-crosstalk,
                r-cran-htmltools,
                r-cran-htmlwidgets,
-               r-cran-httpuv,
+               r-cran-jquerylib,
                r-cran-jsonlite,
                r-cran-magrittr,
-               r-cran-crosstalk,
-               r-cran-jquerylib,
                r-cran-promises,
                libjs-jquery-datatables,
-               libjs-jquery-datatables-extensions
-Standards-Version: 4.7.0
+               libjs-jquery-datatables-extensions,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dt.git
 Homepage: https://cran.r-project.org/package=DT

## r-cran-dt 0.34.0+dfsg

=== debian/changelog ===
r-cran-dt (0.34.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Dec 2025 09:08:55 +0900

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bslib,
        r-cran-future,
        r-cran-httpuv,
        r-cran-knitr (>= 1.8),
        r-cran-rmarkdown,
        r-cran-shiny (>= 1.6),
        r-cran-testit,
        r-cran-tibble
Restrictions: allow-stderr
